class NotFoundProviderException implements Exception {
  final Type type;
  NotFoundProviderException(this.type);

  @override
  String toString() {
    return 'NotFoundProviderException: You have not created a provider that returns "$type".';
  }
}

class NotInitializeMiodiException implements Exception {
  @override
  String toString() {
    return 'NotInitializeMiodiException: You must initialize Miodi before usages "inject()" or "injectAsync()". Call "Miodi.init(components)" when your application start.';
  }
}